Subject: FW: Testing Preschedule workspace
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 9 Jul 2001 10:52:09 -0700 (PDT)

When I sent this e-mail,  the Workspace error log popped up,  the total running time for the 70 rows of path confirmation was 1 hour 30 minutes, and the rows that were not confirmed were ignored due to the Aliases that Schedulers use.

c

 -----Original Message-----
From: 	Semperger, Cara  
Sent:	Monday, July 09, 2001 10:40 AM
To:	Smith, Will; Atta, Asem
Cc:	Bentley, Corry; Poston, David
Subject:	Testing Preschedule workspace

Good Morning,

My target testing date today is June 18th,  I am running in Test P in Local Enpower using actual data from our scheduling sheets re-arranged to meet the new guidelines.

The daily deals I coded X in columns J and N,  the Month long bookouts and BOM bookouts I coded R.  

What worked:

I was able to retrieve my saved workspace with all data intact. I had previously sucessfully copied and pasted my entire sheet from EXCEL to the PSW.

I was able to run the build route report with the criteria of "Starting On- June 18-PaloVerde-Day of week Mask Activated-Report Changes activated." A check of deals actually scheduled vs. build route results showed that all deals were extracted correctly from Enpower. Because I am working on closed dates, a cumulative test of this app will not be fully testable until production. We are expecting to see the same functionality as the current incarnation of Build route. The data extracted should be read only, time stamped, and when run mulitple times additional data should be shown below previously extracted data.  The improvement we are expecting to see is the app should not duplicate deal strips on dates that have no physical power flow. (West Light Load currently does this in Start view, but not Active view)

Navigating around the scheduling sheet itself I was able to accurately execute the sort function on a single criteria at a time. Multiple sorting will contunue to be done in excel, or we can do a series of single sorts in the PSW to acheive the same result.

Routing deals: Will had deleted all routes for June 18th, starting me with a clean slate.  I made every path be for DAY. I was unable to confirm total unrouted MWH, as the real time position manager does not seem to be functioning in TESTP. The routing appeared to take 19 minutes with the status bar showing steady progress during that time. This time is 15-17 minutes longer than current speed using the Excel Macro system we have now. The error list gave me a row by row description of what did not route, a very useful tool.  OK was visible on all rows that the PSW believed that it had routed. I had difficulty checking the routing results, as I kept getting BDE errors in Scheduling after routing had occurred (Local Enpower). Scheduling kept starting up in 1899.  I was unable to login to TestP through Terminal server 2, but was able to in Terminal Server 5. The results there were very encouraging! Most routing was done, and a spot check of deals shows that they were routed properly. The deals that were not routed appear to be due to a user error of deal number duplication in the sheet. This is consistent with what I would expect. I will further evaluate routing ability with our more complicated paths later. This routing was very easy, a large point with on peak non shaped deals only.

Things I did not expect that I liked:

When I highlight a group of cells in Build Route, it stays highlighted when I move up to the scheduling sheet to highlight a comparison group of cells.  This is very handy for double checking Build route against the scheduler's sheet.

What does not appear to be working at this time:

The physical or not physical flag of path does not seem to be showing up properly in routing.

Path Confirmation:  The running time appeared to be over one hour for one sheet, only 70 rows of the sheet being flagged for insertion into confirmation. This current speed will not be sufficient to work in production. Also, many rows that were flagged for confirmation were not imported, and I cannot find an error log to help understand why deals were not imported to path confirmation.
When the path confirmation task was finished,  the application simply froze.  The status bar was no longer visible, leading me to believe that it was done, however the app was not able to be saved or closed or examined further.

My conclusions:

The build route and routing functions work well enough to use in production, the copy-paste function works well for the West desk per our connectivity issues.

Path Confirmation is not functioning at this point, and appears to be blowing up the app. No data was visible for June 18th even after the PSW ran through its import function.

Please let me know when the issues I have named have been addressed and are ready for further testing.

Thanks

Cara
503/464-3814